Unread notification count
GEThttps://core-prod.malipopay.co.tz/api/v1/notification/unread-count
Returns the count of unread notifications for the authenticated project.
Request
Query Parameters
env string
Environment filter (TEST or PROD)
Responses
- 200
- 500
Count returned successfully
- application/json
- Schema
- Example (auto)
Schema
countinteger
Number of unread notifications
Example:
5{
"count": 5
}
Internal server error
- application/json
- Schema
- Example (auto)
Schema
codeint32required
messagestringrequired
{
"code": 0,
"message": "string"
}
Authorization: apiToken
name: apiTokentype: apiKeyin: headerdescription: Project API key. Get yours from the Malipopay dashboard under Settings → API Keys.
- curl
- python
- nodejs
- php
- java
- go
- CURL
curl -L 'https://core-prod.malipopay.co.tz/api/v1/notification/unread-count' \
-H 'Accept: application/json' \
-H 'apiToken: <apiToken>'
Response